:ais: Przejście na binarki Termux

Przy próbie powrotu na sviete:

2 dni mecze bramkę - niestety przycisk awaryjny nie działa - bramka nie schodzi do twrc - tym samym brak możliwości wipe …
2 dzień męki…
Powrót na sviete nie przynosi efektu…
Heh… Fajna podkładka :joy:

Prawdopodobnie jest możliwość uruchomienia trybu odzyskiwania Androida z poziomu komend shell z połączenia po adb. Poszukaj w internetach… ja niestety obecnie mam deficyt czasu, zwłaszcza tego zimowego.

Edit:
Tak na szybko znalezione:

adb reboot recovery

2 polubienia

Udało mi się wrócić ale do termux -
Robiłem wg instrukcji w obu przypadkach :
Deinstalacja AIS, deinstalacja panelu, deinstalacja serwera - >instalacja termux serwer, instalacja spowrotem panel + ais
Coś się po deinstalacji termux nie wyczyściło do końca - pathe są pomimo instalacji sviete do plików termux stąd wybija że brakuje plików w lokalizacji termux.
Termux na dev 2 (2/16) działa w miarę stabilnie -myślę że ten ostatni wysyp po zasypaniu go nasluchem kilkunastu topicow ma bardziej podłoże soft niż hardware

1 polubienie

Podejście nr XXX
Po powrocie spowrotem na termuxa nie działa prawidłowo psutils -widzialem w kilku postach że się pod Nikodemem rozsypuje -postaram się pomyslec nad rozwiązaniem tego problemu -z uwagi na to że moja dev2 nie chce spowrotem wrócić na pakiety sviete -trudno ,walczymy o życie na termuxie …
Zaczynam od aktualizacji skopanego nodejs

pkg upgrade nodejs

Dalej idąc za ciosem

npm install psutil -g

Oraz

pip install - - upgrade pip

Jeszcze wisienka

pkg update & upgrade

Po całej operacji restart systemu z poziomu ustawień bramki
Edit:
Niestety ,poległem na walce z nodejs …
Udało mi się z poziomu androida zrobić reset bramki do sviete
Robię właśnie reset aplikacji
Zobaczymy jak będzie po resecie biegać …

2 polubienia

I jak biega?

Mi się dzisiaj zachciało zrobić update nowej bety i niestety wszystko się wyjeb…o.

Nie da się przywrócić kopii zapasowej (zrobionej 5 minut przed upgradem)

Teraz pełny reset i również nie można przywrócić kopii z portalu, gdyż wywala błędy na wszystkich możliwych usługach.

Próbuje powracać na poprzednie binarki i znowu na termux, ale bez efektów…

Czy ktokolwiek z załogi na tym panuje i próbuje rozwiązać problem? Sorry, ale rzucenie jakimś rabatem na zakup dev3 to nie jest wyjście z sytuacji, szczególnie, że zaraz może być to samo z dev3…

Edit: założyłem, że po to jest opcja backupu, że w razie kłopotów backup przywrócę i będzie jak było. Niestety to też nie działa prawidłowo

3 polubienia

Dlatego po ftp kopiuje sie folder AIS i Zigbee2mqtt na komputer aby w razie czego mieć backup. Zrób pelen reset aplikacji utwórz nowe konto z tymi samymi danymi i po restarcie bramki powinienes mieć backup do przywrócenia

co ciekawe byłem już na termuxie i taki jest też backup, a teraz niestety każdorazowo niezależnie od tego czy pełny reset, czy przeinstalowanie serwera w wersji nie termux/termux powoduje problem z niedziałaniem wszystkiego… czasami też nie może zassać jakiś pakietów albo instalowanie po pełnym resecie trwa 40 minut i na końcu pojawiają się i tak errory o braku odpowiednich pakietów…
Jakby udało mi się postawić czystego termuxa, to myślę, że przywrócenie backupu już by poszło…

Spróbuj w konsoli wpisać
pkg update
pkg upgrade

Brak dostępu, permission denied, żadnych komend nie rozpoznaje.
Już to kiedyś przerabiałem przechodząc na termuxa, ale wtedy w końcu jakoś przeszło, a teraz ściana.

A robiłeś pelen reset bramki do ustawien fabrycznych? Wątek o tym jest na forum

Mówisz o tym? :ais: Przejście na binarki Termux - #147 przez jolka

Tego nie robiłem, bo nie mam problemu z odinstalowaniem serwera, a dwa to już byłem na termuxie i działało, tylko zachciało mi się zrobić aktualizację bety przedwczorajszą

Cytując klasyka " już mam dość tej k…y".
Kolejne próby resetów, ręczne instalacje alfy, bety, upgrade/update pakietów, a i dalej logi z błędami i ha jest nieużywalny…

Zrob tak bo widac błąd w numpy

pkg uninstall numpy
pkg install numpy

Lub

pip uninstall numpy
pip install numpy

Jak wróciłem na sviete i jak na razie nie tykam póki dziala

3 polubienia

Próbował ktoś instalować Sambe na Termux? Niby powinno działać, ale stanąłem na

$ testparm $PREFIX/etc/smb.conf
Load smb config files from /data/data/com.termux/files/usr/etc/smb.conf
Error loading services.

@jolka jest problem z biblioteka libicu, ja sie na niego natkałem przy instalacji postgresql na Termuxie. Aktualna wersja PostgreSQl 15.1 wymaga libicu w wersji 72. Na bramce po instalacji Termuxa mamy libicu w wersji 71.1, da się bez problemu podnieść wersjie do libicu72

~/AIS $ apt search libicu
Sorting… Done
Full Text Search… Done
libicu/stable 72.1 arm [upgradable from: 71.1-1]

ale po takiej instalcji bramka juz nie wstaje bo AIS Server działa na libicu71 i przy starcie wali błedami o braku biblioteki.

Próbowałem przy instalacji PostgreSQL porobic same linki do poprzednich bibliotek libicu
~/AIS $ for a in $(ls /data/data/com.termux/files/usr/lib/libicu*.so) ;do ln -s $a $a.72;done
ale teraz dostaje błąd

~/AIS $ initdb $PREFIX/var/lib/postgresql
CANNOT LINK EXECUTABLE "/data/data/com.termux/files/usr/bin/postgres": cannot locate symbol "u_strToLower_72" referenced by "/data/data/com.termux/files/usr/bin/postgres"...
no data was returned by command ""/data/data/com.termux/files/usr/bin/postgres" -V"
initdb: error: program "postgres" is needed by initdb but was not found in the same directory as "/data/data/com.termux/files/usr/bin/initdb"

Z tego co wiem to repo Termuxa nie przechowuje poprzednich wersji softu więc trzeba by kompilować poprzednie wersje, chyba że wy dostosyjecie AIS serwer do libicu72 :slight_smile:

1 polubienie

Poczekaj na nowsza wersję wyjdzie w grudniu

1 polubienie

Była już ta aktualizacja? Bo nie widzę nowszych bibliotek.
Miałeś na myśli automatyczną aktualizacje bramki ?

Tak aktualizacje które AIS wydaje co jakiś czas jak będzie aktualizacją to pewnie będzie ogloszenie